PKGCTL-BUILD(1)

NUME
pkgctl-build - construiește pachete în interiorul unui chroot curat

SINOPSIS

pkgctl build [OPȚIUNI] [RUTĂ...]

DESCRIERE

Construiește pachete într-un mediu chroot curat, oferind diverse opțiuni și funcționalități pentru a personaliza procesul de construire a pachetelor.

În mod implicit, mediile chroot sunt localizate în /var/lib/archbuild/.

OPȚIUNI DE CONSTRUIRE

--arch ARHITECTURA
    Specifică arhitecturile pentru care să se construiască (dezactivează detectarea automată)

--repo DEPOZIT
    Specifică depozitul țintă pentru pachetele noi care nu sunt în niciun depozit oficial. Se revine la 'extra' atunci când se construiesc pachete care nu sunt încă prezente în niciun depozit oficial. Utilizarea acestei opțiuni nu este permisă în cazul în care pachetul este deja lansat, deoarece ar eluda protecția de detectare automată.

-s, --staging
    Construiește față de omologul de staționare al depozitului autodetectat

-t, --testing
    Construiește față de omologul de testare al depozitului detectat automat

-o, --offload
    Construiește pe un server la distanță și transferă ulterior artefactele

-c, --clean
    Recreează chroot-ul înainte de construire.

--inspect CÂND
    Creează un shell interactiv pentru a inspecta chroot-ul după compilare. Util pentru a ușura depanarea compilării unui pachet.
    Valorile posibile pentru CÂND sunt 'never' (niciodată), 'always' (întotdeauna) sau 'failure' (în caz de eșec)

-w, --worker SLOT
    Numele slotului lucrătorului, util pentru construcțiile simultane. În mod implicit, slotul este atribuit automat numărului pts tty curent. În cazul în care apelantul nu este un tty, se alege un slot aleatoriu între 1 și numărul de unități de procesare disponibile.

--nocheck
    Nu execută funcția check() în PKGBUILD.

OPȚIUNI DE INSTALARE

-I, --install-to-chroot FIȘIER
    Instalează un pachet în copia de lucru a chroot-ului

-i, --install-to-host MOD
    Instalează pachetele construite pe sistemul gazdă. Utilă atunci când doriți să verificați dacă pachetul funcționează conform așteptărilor.

        • Când MOD este all, aceasta instalează toate pachetele construite

        • Când MOD este auto, aceasta instalează toate pachetele construite care sunt instalate în prezent

OPȚIUNI PKGBUILD

--pkgver=VERSIUNE_PACHET
    Stabilește VERSIUNE_PACHET, reinițializează LANSARE_PACHET și actualizează sumele de control

--pkgrel=LANSARE_PACHET
    Stabilește LANSARE_PACHET la valoarea specificată

--rebuild
    Incrementează variabila pkgrel curentă

--update-checksums
    Forțează calcularea și actualizarea sumelor de control prin dezactivarea detecției automate.
    Ar trebui să fie utilizată numai în circumstanțe speciale, cum ar fi atunci când se adaugă noi fișiere de corecții la matricea de surse. În timpul operațiilor obișnuite de împachetare, sumele de control sunt fie actualizate automat la actualizarea unui pachet utilizând --pkgver, fie ar trebui să rămână imuabile în timpul reconstrucțiilor.

-e, --edit
    Oferă posibilitatea de-a edita PKGBUILD înainte de construire

OPȚIUNI LANSARE

-r, --release
    Efectuează automat comiterea, etichetarea și lansarea după construire
    Specificarea acestei opțiuni este necesară atunci când se utilizează oricare dintre următoarele opțiuni din această secțiune

-m, --message MSJ
    Utilizează <msj>-ul dat specificat ca mesaj de comitere a modificărilor

-u, --db-update
    Actualizează automat baza de date pacman ca ultimă acțiune

OPȚIUNI

-h, --help
    Afișează mesajul de ajutor

CONSULTAȚI ȘI

pkgctl-release(1) pkgctl-db-update(1)

PAGINA WEB PRINCIPALĂ

Vă rugăm să raportați erorile și solicitările de caracteristici în sistemul de urmărire a problemelor. Vă rugăm să faceți tot posibilul pentru a furniza un caz de testare reproductibil pentru erori.

TRADUCERE
Traducerea în limba română a acestui manual a fost făcută de Remus-Gabriel Chelu <remusgabriel.chelu@disroot.org>

Această traducere este documentație gratuită; citiți Licența publică generală GNU Versiunea 3 (https://www.gnu.org/licenses/gpl-3.0.html) sau o versiune ulterioară cu privire la condiții privind drepturile de autor. NU se asumă NICIO RESPONSABILITATE.

Dacă găsiți erori în traducerea acestui manual, vă rugăm să trimiteți un e-mail la translation-team-ro@lists.sourceforge.net.